Subject: Re: [PATCH v3 04/15] odb: move packfile map into `struct packfile_store`

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 9 Sep 2025 13:01:12 +0200

On Tue, Sep 09, 2025 at 01:22:33AM -0700, Karthik Nayak wrote:
> Patrick Steinhardt <[email-masked]> writes:
> 
> > The object database tracks a map of packfiles by their respective paths,
> > which is used to figure out whether a given packfile has already been
> > loaded.With the introduction of the `struct packfile_store` we have a
> > better place to host this list though.
> >
> 
> Nit: missing space after 'loaded.'
> 
> > Move the map accordingly. `pack_map_entry_cmp()` isn't used anywhere but
> > in "packfile.c" anymore after this change, so we convert it to a static
> > function, as well.
> >
> 
> Nit: Okay so we move it from the header to the '.c' file, since it is
> only used there. But we do loose the 'inline' hint, we don't talk about
> that. Any reason for that?

Good catch. The `inline` hint didn't really make any sense in the first
place: it's used as a callback function, so by definition it cannot be
inlined anyway.

Will amend the commit message.

Patrick